Skip to content
Guides
Fulfillment & ShippingZones
settings:read

Get shipping zone

Returns one shipping zone with its country, province, city, district, and postal-code selectors.

GET/v1/shipping/zones/{id}

Returns one shipping zone with its country, province, city, district, and postal-code selectors.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Path Parameters

id*string

Unique identifier of the resource.

Header Parameters

Authorization*string

OAuth 2.0 bearer token.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/shipping/zones/7204558912004325301" \  -H "Authorization: Bearer <token>"
{  "id": "7204558912004325301",  "storeId": "7204558912004325301",  "code": "example_code",  "name": "Example resource",  "description": "Example description.",  "countryCodes": [    "example"  ],  "provinceCodes": [    "example"  ],  "cityNames": [    "example"  ],  "districtNames": [    "example"  ],  "postalCodes": [    "example"  ],  "isActive": false,  "createdOn": "2026-08-01T15:30:00Z",  "updatedOn": "2026-08-01T15:30:00Z"}